---
title: Building From Source | docs2website
layout: main.html
breadcrumb:
- '[doc-utils](index.html)'
- '[docs2website](docs2website/index.html)'
---

# Building From Source {#/}

_todo_

## Clone the repo

```bash:samp
git clone https://gitea.jbrumond.me/doc-utils/docs2website
Cloning into 'docs2website'...
remote: Enumerating objects: 25, done.
remote: Counting objects: 100% (25/25), done.
remote: Compressing objects: 100% (19/19), done.
remote: Total 25 (delta 1), reused 0 (delta 0), pack-reused 0
Receiving objects: 100% (25/25), 53.92 KiB | 7.70 MiB/s, done.
Resolving deltas: 100% (1/1), done.
```



## Install dependencies

First, you'll need to create an npm config file in the project to refer to correct registry for the @doc-utils scope

```bash
echo '@doc-utils:registry=https://gitea.jbrumond.me/api/packages/doc-utils/npm/' >> ./.npmrc
```

Then you can install with npm as normal

```bash:samp
npm install
added 239 packages, and audited 240 packages in 5s

17 packages are looking for funding
  run `npm fund` for details

found 0 vulnerabilities
```



## Build

```bash:samp
npm run tsc
> @doc-utils/docs2website@0.1.0 tsc
> tsc
```



## Setup PATH for CLI use

The `docs2website` command can be found in the `./bin` directory.

You can link to this file in a directory in your `PATH`, or add that directory to your `PATH`.
